/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "channelsetting.h"

ChannelSetting::ChannelSetting(QObject *parent) :
    QObject(parent)
    , _channels()
{

}

ChannelSetting::~ChannelSetting()
{

}

void ChannelSetting::setChannel(const LC70_CHAN_CONF_T *channelConfiguration)
{
    Q_UNUSED(channelConfiguration)
    Channel channel;

    // 不使用

    _channels << channel;
}

Channel ChannelSetting::channel(const QString &channelNumber)
{
    Channel channel;
    uint8_t channelNumberArray[CHANNEL_NUMBER_STRING_LENGTH] = {' ', ' ', ' ', ' '};

    QByteArray channelNumberStringArray = channelNumber.toUtf8();

    if (channelNumberStringArray.size() > static_cast<int>(CHANNEL_NUMBER_STRING_LENGTH)) {
        // チャンネル番号文字列のbyte数がチャンネル番号文字列サイズを超える場合は空データを返す
        return channel;
    }

    // チャンネル番号文字列をuint8_t型の配列に代入する(NULL終端なし、チャンネル番号文字列サイズに足りない場合はスペース埋め)
    for (int i = 0; i < channelNumberStringArray.size(); ++i) {
        channelNumberArray[i] = channelNumberStringArray[i];
    }

    // 指定のチャンネル番号に該当するチャンネル定義情報を検索する
    foreach (Channel item, _channels) {
        if (memcmp(item.channelNumber, channelNumberArray, CHANNEL_NUMBER_STRING_LENGTH) == 0) {
            channel = item;
            break;
        }
    }

    return channel;
}
