/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BUTTONID_H
#define BUTTONID_H

/**
 * @brief ボタンID
 *
 * liblc70.h lc70_key_id_t と同じ定義
 */
enum ButtonId {
    BUTTON_UNKNOWN = (-1),
    BUTTON_MENU = 0,        //!< Menu
    BUTTON_BAND,            //!< Band
    BUTTON_HOME,            //!< Home
    BUTTON_USER,            //!< User
    BUTTON_ESCAPE,          //!< Escape
    BUTTON_SCAN,            //!< Scan
    BUTTON_UP,              //!< 上
    BUTTON_DOWN,            //!< 下
    BUTTON_RIGHT,           //!< 右
    BUTTON_LEFT,            //!< 左
    BUTTON_ENTER,           //!< 決定
    BUTTON_CHANNEL_DOWN,    //!< チャンネル Down
    BUTTON_CHANNEL_UP,      //!< チャンネル Up
    BUTTON_SCREEN_SAVE,     //!< 画面 Save
    BUTTON_DATA_SAVE,       //!< データ Save
    BUTTON_POWER_SUPPLY,    //!< 給電
    BUTTON_POWER,           //!< 電源
    BUTTON_ID_COUNT
};

#endif // BUTTONID_H
