/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef OBJECTSEARCHER_H
#define OBJECTSEARCHER_H

#include <QObject>
#include <QQmlApplicationEngine>

/**
 * @brief qml オブジェクトを探すクラス
 */
class ObjectSearcher : public QObject
{
    Q_OBJECT
public:
    /**
     * @brief コンストラクタ
     * @param parent 親オブジェクト
     */
    explicit ObjectSearcher(QObject *parent = nullptr);

    /**
     * @brief デストラクタ
     */
    ~ObjectSearcher();

    /**
     * @brief qml オブジェクト検索
     * @param engine Qml ApplicationEngine
     * @param objectName オブジェクト名
     */
    static QObject *search(QQmlApplicationEngine *engine, const QString &objectName);

signals:

};

#endif // OBJECTSEARCHER_H
