//------------------------------------------------------------------------------
//	libclk.h
//	RTCCuwb_
//	
//	ύX
//	E2020/03/06 S.Iwamatsu VK쐬 
//	
//	(c) 2020 DX ANTENNA CO.,LTD.
//------------------------------------------------------------------------------
#ifndef	_LIBCLK_H_
#define	_LIBCLK_H_

//------------------------------------------------------------------------------
//	include
//------------------------------------------------------------------------------
#include "typedef.h"

//------------------------------------------------------------------------------
//	define
//------------------------------------------------------------------------------


//------------------------------------------------------------------------------
//	typedef
//------------------------------------------------------------------------------
typedef enum lclk_err_t{

	LCLK_ACTIVE 		=  0,
	LCLK_INACTIVE		= -1,
	LCLK_VLF_ERR		= -2,
	LCLK_SET_ERR		= -3,
	LCLK_I2C_ERR		= -4,
	LCLK_ERR_ARG		=-5
}LCLK_ERR_T;

typedef struct{
	uint8_t sec;
	uint8_t min;
	uint8_t hour;
	uint8_t week;
	uint8_t day;
	uint8_t month;
	uint8_t year;
}	CRRTIME;
//------------------------------------------------------------------------------
//	prototype
//------------------------------------------------------------------------------
LCLK_ERR_T lclk_init( void );
LCLK_ERR_T lclk_set( CRRTIME *clkTime );
LCLK_ERR_T lclk_timer_start( void );
LCLK_ERR_T lclk_timer_stop( void );

//------------------------------------------------------------------------------
//	extern  variable
//------------------------------------------------------------------------------


#endif /* _LIBCLK_H_ */
