//------------------------------------------------------------------------------
//	typedef.h
//	共通型定義ヘッダ
//	
//	変更履歴
//	・2020/03/05 S.Iwamatsu 新規作成
//	
//	(c) 2020 DX ANTENNA CO.,LTD.
//------------------------------------------------------------------------------
#ifndef	_TYPDEF_H_
#define	_TYPDEF_H_

//-----------------------------------------------------------------------------
//	include
//-----------------------------------------------------------------------------
#include <stdint.h>	/* use int8_t, uint8_t, int16_t, uint16_t, int32_t, uint32_t */
#include <stddef.h> /* use size_t, ssize_t */
#include <inttypes.h>

//-----------------------------------------------------------------------------
//	define
//-----------------------------------------------------------------------------
/* 配列の要素数取得マクロ */
#define ArraySizeOf(array)	(sizeof(array) / sizeof(array[0]))

/* 構造体メンババイトサイズ取得マクロ */
#define MemberSizeOf(type, member)	sizeof(((type*)0)->member)

//-----------------------------------------------------------------------------
//	typedef
//-----------------------------------------------------------------------------
typedef float			float32_t;
typedef double			double64_t;

// Boolean type
typedef enum { FALSE = 0, TRUE = 1 } BOOL;

typedef	union{
	uint8_t	Byte;
	struct{
	uint8_t	t0:1;
	uint8_t	t1:1;
	uint8_t	t2:1;
	uint8_t	t3:1;
	uint8_t	t4:1;
	uint8_t	t5:1;
	uint8_t	t6:1;
	uint8_t	t7:1;
	}	b;
}	T_BT;

typedef	union{
	uint16_t	word;
	uint8_t	Byte[2];
	struct{
	uint8_t	t0:1;
	uint8_t	t1:1;
	uint8_t	t2:1;
	uint8_t	t3:1;
	uint8_t	t4:1;
	uint8_t	t5:1;
	uint8_t	t6:1;
	uint8_t	t7:1;
	uint8_t	t8:1;
	uint8_t	t9:1;
	uint8_t	t10:1;
	uint8_t	t11:1;
	uint8_t	t12:1;
	uint8_t	t13:1;
	uint8_t	t14:1;
	uint8_t	t15:1;
	}	b;
}	T_WBT;

typedef	union{
	uint16_t	word;
	uint8_t	Byte[2];
}	T_WB;

typedef	union{
	uint32_t	dword;
	uint16_t	word[2];
	uint8_t	Byte[4];
}	T_DWB;

typedef	union{
	uint32_t	dw;
	float32_t	fl;
}	T_DWFL;

typedef	union{
	uint32_t		dw;
	void	*ptr;
}	T_DWPTR;

//-----------------------------------------------------------------------------
//	prototype
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//	extern variable
//-----------------------------------------------------------------------------

#endif	/* _TYPDEF_H_ */

