/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VALUEELEMENT_H
#define VALUEELEMENT_H

#include <QVariant>


class ValueElement
{
public:
    /**
     * @brief ValueElement
     */
    ValueElement();

    ~ValueElement();

    /**
     * @brief setInitialValue
     * 初期値設定を行う
     *
     * @param v
     */
    void setInitialValue(const QVariant &v);

    /**
     * @brief getValue
     * @return
     */
    QVariant getValue();

    /**
     * @brief setValue
     * @param v
     */
    void setValue(const QVariant &v);

    /**
     * @brief commit
     */
    void commit();

    /**
     * @brief rollback
     */
    void rollback();

    /**
     * @brief isUpdate
     * @return
     */
    bool isUpdate();

private:
    QVariant _value;        //< 確定データ
    QVariant _dirtyValue;   //< 未確定データ
    bool _isUpdate;         //< 更新チェックフラグ
};

#endif // VALUEELEMENT_H
