QT += charts quick dbus

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Refer to the documentation for the
# deprecated API to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

# リリース版ではデバッグログは出力しない
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# 実験用の機能追加あり
#DEFINES += ADD_TEST_FUNCTION

# USER 設定の仕様変更対応(旧画面にするときはコメントアウトする)
DEFINES += NEW_USER_SETTING

# SD カードの新しいパーティションに対応する場合はコメントアウトを外す
DEFINES += NEW_PARTITION

SOURCES += \
        model/bandmodel.cpp \
        model/delayprofilelineseriesmodel.cpp \
        model/displayfilesystemmodel.cpp \
        model/helper/channeldefinitionhelper.cpp \
        model/helper/correcter.cpp \
        model/helper/systemlog.cpp \
        model/helper/usboperation.cpp \
        model/helper/ziphelper.cpp \
        model/measureresultmodel.cpp \
        model/modeloperator.cpp \
        model/multigraphmodel.cpp \
        model/periodic/faultdetector.cpp \
        model/periodic/measurer.cpp \
        model/periodic/systemwatcher.cpp \
        model/scanlockmodel.cpp \
        model/scanresultgroupmodel.cpp \
        model/scanresultmodel.cpp \
        model/stub/dbus/levelcheckeradaptor.cpp \
        model/stub/dbus/levelcheckerinterface.cpp \
        model/stub/lc70dummy.cpp \
        model/stub/stub.cpp \
        model/valueelement.cpp \
        viewmodel/data_logger/dataloggermeasurementlistviewmodel.cpp \
        viewmodel/data_logger/dataloggersettingviewmodel.cpp \
        viewmodel/data_management/dataloggerdatalistviewmodel.cpp \
        viewmodel/data_management/dataloggerdetailsdataviewmodel.cpp \
        viewmodel/data_management/dataloggermenuviewmodel.cpp \
        viewmodel/data_management/datamanagementmenuviewmodel.cpp \
        viewmodel/data_management/measurementdatamenuviewmodel.cpp \
        viewmodel/data_management/measurementresultcopydeleteviewmodel.cpp \
        viewmodel/data_management/measurementresultcopyviewmodel.cpp \
        viewmodel/data_management/measurementresultcsvcomponentlist.cpp \
        viewmodel/data_management/measurementresultcsvdataviewmodel.cpp \
        viewmodel/data_management/measurementresultdatalistviewmodel.cpp \
        viewmodel/data_management/measurementresultdeletionviewmodel.cpp \
        viewmodel/data_management/measurementresultfilecomponentlist.cpp \
        viewmodel/data_management/measurementresultoperationlist.cpp \
        viewmodel/data_management/measurementresultoperationviewmodelbase.cpp \
        viewmodel/data_management/measurementresultpngdataviewmodel.cpp \
        viewmodel/data_management/usermeasurementsettingmenuviewmodel.cpp \
        viewmodel/framework/abstractviewmodel.cpp \
        viewmodel/framework/attributes.cpp \
        viewmodel/framework/buttonoperation.cpp \
        viewmodel/framework/buttonprohibition.cpp \
        viewmodel/framework/errormanager.cpp \
        viewmodel/framework/popupmanager.cpp \
        viewmodel/framework/screeninformations.cpp \
        viewmodel/framework/screentransitioncontroller.cpp \
        viewmodel/framework/viewmodelfactory.cpp \
        viewmodel/home/homeviewmodel.cpp \
        viewmodel/levelcheckerviewmodel.cpp \
        application/main.cpp \
        application/applicationsetting.cpp \
        application/channelsetting.cpp \
        application/levelchecker.cpp \
        application/messageresource.cpp \
        constant/constant.cpp \
        model/helper/objectsearcher.cpp \
        model/interface/communicator.cpp \
        model/levelcheckermodel.cpp \
        model/thread/paralleltask.cpp \
        model/thread/threadbase.cpp \
        viewmodel/mainframeviewmodel.cpp \
        viewmodel/measurement/abstractmeasurementviewmodel.cpp \
        viewmodel/measurement/antennaadjustment.cpp \
        viewmodel/measurement/bandviewmodel.cpp \
        viewmodel/measurement/catvviewmodel.cpp \
        viewmodel/measurement/localoscillatorsettingviewmodel.cpp \
        viewmodel/measurement/modulationviewmodel.cpp \
        viewmodel/measurement/multi/multimeasurementviewmodel.cpp \
        viewmodel/measurement/polarizationviewmodel.cpp \
        viewmodel/measurement/single/singlemeasurementviewmodel.cpp \
        viewmodel/measurement_setting/broadcastsettingviewmodel.cpp \
        viewmodel/measurement_setting/catvchannelfrequencyviewmodel.cpp \
        viewmodel/measurement_setting/constellationsettingviewmodel.cpp \
        viewmodel/measurement_setting/leveloffsetviewmodel.cpp \
        viewmodel/measurement_setting/localoscillatorviewmodel.cpp \
        viewmodel/measurement_setting/measurementsettingmenuviewmodel.cpp \
        viewmodel/measurement_setting/switchmercnviewmodel.cpp \
        viewmodel/measurement_setting/switchopticalcoaxialcableviewmodel.cpp \
        viewmodel/measurement_setting/thresholdsettingviewmodel.cpp \
        viewmodel/measurement_setting/thresholdviewmodel.cpp \
        viewmodel/optical_setting/opticalmeasurementviewmodel.cpp \
        viewmodel/optical_setting/wavelengthselectviewmodel.cpp \
        viewmodel/other/compassviewmodel.cpp \
        viewmodel/other/dcmeasurementviewmodel.cpp \
        viewmodel/other/otherviewmodel.cpp \
        viewmodel/system_setting/autopoweroffsettingviewmodel.cpp \
        viewmodel/system_setting/batteryinformationviewmodel.cpp \
        viewmodel/system_setting/brightnesssettingviewmodel.cpp \
        viewmodel/system_setting/datetimesettingviewmodel.cpp \
        viewmodel/system_setting/initializationviewmodel.cpp \
        viewmodel/system_setting/manualviewmodel.cpp \
        viewmodel/system_setting/modelinformationviewmodel.cpp \
        viewmodel/system_setting/systemsettingmenuviewmodel.cpp \
        viewmodel/system_setting/volumesettingviewmodel.cpp \
        viewmodel/user/fileselectionviewmodel.cpp \
        viewmodel/user/manualautoselectionviewmodel.cpp \
        viewmodel/user/userdataloggermenuviewmodel.cpp \
        viewmodel/user/userdataloggersettingviewmodel.cpp \
        viewmodel/user/usermeasurementselectionviewmodel.cpp \
        viewmodel/user/usersettingviewmodel.cpp

RESOURCES += qml.qrc

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
#else: unix:!android: target.path = /opt/$${TARGET}/bin
else: unix:!android: target.path = /usr/local/bin
!isEmpty(target.path): INSTALLS += target

HEADERS += \
    application/applicationsetting.h \
    application/channelsetting.h \
    application/levelchecker.h \
    application/messageresource.h \
    constant/buttonid.h \
    constant/constant.h \
    constant/errormessageid.h \
    constant/errorpopupid.h \
    constant/messageid.h \
    constant/popupid.h \
    constant/screenid.h \
    constant/usbdefs.h \
    constant/valueid.h \
    model/bandmodel.h \
    model/channeldefinitionitem.h \
    model/delayprofilelineseriesmodel.h \
    model/displayfilesystemmodel.h \
    model/helper/channeldefinitionhelper.h \
    model/helper/correcter.h \
    model/helper/systemlog.h \
    model/helper/usboperation.h \
    model/helper/ziphelper.h \
    model/lc70ws/libclk.h \
    model/measureresultmodel.h \
    model/modeloperator.h \
    model/multigraphmodel.h \
    model/periodic/faultdetector.h \
    model/periodic/measurer.h \
    model/periodic/systemwatcher.h \
    model/scanlockmodel.h \
    model/scanresultgroupmodel.h \
    model/scanresultmodel.h \
    model/stub/dbus/levelcheckeradaptor.h \
    model/stub/dbus/levelcheckerinterface.h \
    model/stub/lc70dummy.h \
    model/stub/stub.h \
    model/valueelement.h \
    viewmodel/data_logger/dataloggermeasurementlistviewmodel.h \
    viewmodel/data_logger/dataloggersettingviewmodel.h \
    viewmodel/data_management/dataloggerdatalistviewmodel.h \
    viewmodel/data_management/dataloggerdetailsdataviewmodel.h \
    viewmodel/data_management/dataloggermenuviewmodel.h \
    viewmodel/data_management/datamanagementmenuviewmodel.h \
    viewmodel/data_management/measurementdatamenuviewmodel.h \
    viewmodel/data_management/measurementresultcopydeleteviewmodel.h \
    viewmodel/data_management/measurementresultcopyviewmodel.h \
    viewmodel/data_management/measurementresultcsvcomponentlist.h \
    viewmodel/data_management/measurementresultcsvdataviewmodel.h \
    viewmodel/data_management/measurementresultdatalistviewmodel.h \
    viewmodel/data_management/measurementresultdeletionviewmodel.h \
    viewmodel/data_management/measurementresultfilecomponentlist.h \
    viewmodel/data_management/measurementresultoperationlist.h \
    viewmodel/data_management/measurementresultoperationviewmodelbase.h \
    viewmodel/data_management/measurementresultpngdataviewmodel.h \
    viewmodel/data_management/usermeasurementsettingmenuviewmodel.h \
    viewmodel/framework/abstractviewmodel.h \
    viewmodel/framework/attributes.h \
    viewmodel/framework/buttonoperation.h \
    viewmodel/framework/buttonprohibition.h \
    viewmodel/framework/errormanager.h \
    viewmodel/framework/errormanagerdef.h \
    viewmodel/framework/popup.inc \
    viewmodel/framework/popupmanager.h \
    viewmodel/framework/screeninformations.h \
    viewmodel/framework/screentransitioncontroller.h \
    viewmodel/framework/viewmodelfactory.h \
    viewmodel/home/homeviewmodel.h \
    viewmodel/levelcheckerviewmodel.h \
    model/helper/objectsearcher.h \
    model/interface/communicator.h \
    model/lc70ws/libipc.h \
    model/lc70ws/liblc70.h \
    model/lc70ws/typedef.h \
    model/levelcheckermodel.h \
    model/thread/paralleltask.h \
    model/thread/threadbase.h \
    viewmodel/mainframeviewmodel.h \
    viewmodel/measurement/abstractmeasurementviewmodel.h \
    viewmodel/measurement/antennaadjustment.h \
    viewmodel/measurement/bandviewmodel.h \
    viewmodel/measurement/catvviewmodel.h \
    viewmodel/measurement/localoscillatorsettingviewmodel.h \
    viewmodel/measurement/modulationviewmodel.h \
    viewmodel/measurement/multi/multimeasurementviewmodel.h \
    viewmodel/measurement/polarizationviewmodel.h \
    viewmodel/measurement/single/singlemeasurementviewmodel.h \
    viewmodel/measurement_setting/broadcastsettingviewmodel.h \
    viewmodel/measurement_setting/catvchannelfrequencyviewmodel.h \
    viewmodel/measurement_setting/constellationsettingviewmodel.h \
    viewmodel/measurement_setting/leveloffsetviewmodel.h \
    viewmodel/measurement_setting/localoscillatorviewmodel.h \
    viewmodel/measurement_setting/measurementsettingmenuviewmodel.h \
    viewmodel/measurement_setting/switchmercnviewmodel.h \
    viewmodel/measurement_setting/switchopticalcoaxialcableviewmodel.h \
    viewmodel/measurement_setting/thresholdsettingviewmodel.h \
    viewmodel/measurement_setting/thresholdviewmodel.h \
    viewmodel/optical_setting/opticalmeasurementviewmodel.h \
    viewmodel/optical_setting/wavelengthselectviewmodel.h \
    viewmodel/other/compassviewmodel.h \
    viewmodel/other/dcmeasurementviewmodel.h \
    viewmodel/other/otherviewmodel.h \
    viewmodel/system_setting/autopoweroffsettingviewmodel.h \
    viewmodel/system_setting/batteryinformationviewmodel.h \
    viewmodel/system_setting/brightnesssettingviewmodel.h \
    viewmodel/system_setting/datetimesettingviewmodel.h \
    viewmodel/system_setting/initializationviewmodel.h \
    viewmodel/system_setting/manualviewmodel.h \
    viewmodel/system_setting/modelinformationviewmodel.h \
    viewmodel/system_setting/systemsettingmenuviewmodel.h \
    viewmodel/system_setting/volumesettingviewmodel.h \
    viewmodel/user/fileselectionviewmodel.h \
    viewmodel/user/manualautoselectionviewmodel.h \
    viewmodel/user/userdataloggermenuviewmodel.h \
    viewmodel/user/userdataloggersettingviewmodel.h \
    viewmodel/user/usermeasurementselectionviewmodel.h \
    viewmodel/user/usersettingviewmodel.h

DISTFILES += \
    README.txt \
    application_setting.ini \
    license_template.txt \
    model/stub/dbus/jp.co.dxantenna.levelchecker.xml \
    user_datalogger_setting_template.csv

INCLUDEPATH += $$PWD/model
INCLUDEPATH += $$PWD/model/helper
INCLUDEPATH += $$PWD/model/interface
INCLUDEPATH += $$PWD/model/lc70ws
INCLUDEPATH += $$PWD/model/stub
INCLUDEPATH += $$PWD/model/thread
INCLUDEPATH += $$PWD/model/periodic
INCLUDEPATH += $$PWD/application
INCLUDEPATH += $$PWD/constant
INCLUDEPATH += $$PWD/viewmodel
INCLUDEPATH += $$PWD/viewmodel/framework
DEPENDPATH += $$PWD/model/lc70ws

# ラッパー関数の共有ライブラリ及びラッパー関数のライブラリが依存するライブラリを追加する
linux-oe-g++{
    unix:!macx: LIBS += -L$$PWD/model/lc70ws/lib/ -llc70
    unix:!macx: LIBS += -L$$PWD/model/lc70ws/lib/ -lmsg
    unix:!macx: LIBS += -L$$PWD/model/lc70ws/lib/ -lipc
    unix:!macx: LIBS += -L$$PWD/model/lc70ws/lib/ -lsys
    unix:!macx: LIBS += -L$$PWD/model/lc70ws/lib/ -li2c
    unix:!macx: LIBS += -L$$PWD/model/lc70ws/lib/ -lclk    # libi2c.so に依存している模様

    INCLUDEPATH += $$PWD/../../../../opt/tdx-x11/2.6.4/sysroots/armv7at2hf-neon-tdx-linux-gnueabi/usr/include
    DEPENDPATH += $$PWD/../../../../opt/tdx-x11/2.6.4/sysroots/armv7at2hf-neon-tdx-linux-gnueabi/usr/include
}
