/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief データロガー取得データメニュー View
 */
Item {
    id: root
    objectName: "DataLoggerMenu"
    anchors.fill: parent

    signal request(int condition)

    // 機能リスト
    Row {
        id: functionlist
        objectName: "functionlist"
        anchors.centerIn: root
        spacing: 5

        // データロガー取得データ表示
        SelectButton {
            id: m0
            objectName: "m0"
            activebg: "dataloggermenu_r.png"
            idlebg: "dataloggermenu.png"
            message: "データロガー\n取得データ表示"
            width: 301
            height: 130
        }

        // データロガー取得データ一括消去
        SelectButton {
            id: m1
            objectName: "m1"
            activebg: "dataloggermenu_l.png"
            idlebg: "dataloggermenu.png"
            message: "データロガー\n取得データ一括消去"
            width: 301
            height: 130
        }
    }

    // 画面名
    ScreenName {
        name : "データロガー"
    }
}
