/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief データ管理メニュー View
 */
Item {
    id: root
    objectName: "DataManagementMenu"
    anchors.fill: parent

    signal request(int condition)

    // 機能リスト
    Row {
        id: functionlist
        objectName: "functionlist"
        anchors.centerIn: root
        spacing: 5

        // 測定データ
        SelectButton {
            id: m0
            objectName: "m0"
            activebg: "datamanager_selectbtn_r.png"
            idlebg: "datamanager_selectbtn.png"
            pressbg: "datamanager_selectbtn_p.png"
            message: "測定データ"
            width: 195
            height: 114
        }

        // データロガー
        SelectButton {
            id: m1
            objectName: "m1"
            activebg: "datamanager_selectbtn_lr.png"
            idlebg: "datamanager_selectbtn.png"
            pressbg: "datamanager_selectbtn_p.png"
            message: "データロガー"
            width: 195
            height: 114
        }

        // USBフォーマット
        SelectButton {
            id: m3
            objectName: "m3"
            activebg: "datamanager_selectbtn_l.png"
            idlebg: "datamanager_selectbtn.png"
            pressbg: "datamanager_selectbtn_p.png"
            message: "USB\nフォーマット"
            width: 195
            height: 114
        }
    }

    // 画面名
    ScreenName {
        name : "データ管理"
    }
}
