/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief 測定データメニュー View
 */
Item {
    id: root
    objectName: "MeasurementDataMenu"
    anchors.fill: parent

    signal request(int condition)

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    // 機能リスト
    Row {
        id: functionlist
        objectName: "functionlist"
        anchors.verticalCenterOffset: -27
        anchors.horizontalCenterOffset: 0
        anchors.centerIn: root
        spacing: 15

        // 測定データ表示
        SelectButton {
            id: m0
            objectName: "m0"
            activebg: "combtn_sel.png"
            idlebg: "combtn.png"
            pressbg: "combtn_p.png"
            message: "測定データ表示"
            width:224
            height:82
        }

        // USBコピー
        SelectButton {
            id: m1
            objectName: "m1"
            activebg: "combtn_sel.png"
            idlebg: "combtn.png"
            pressbg: "combtn_p.png"
            message: "本体⇒USB\nコピー・消去"
            width:224
            height:82
        }
    }

    // 画面名
    ScreenName {
        name : "データ管理"
    }
}
