/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import QtQuick.Controls 2.12
import "../parts"

/**
 * @brief 保存データのコピー View
 */
Item {
    id: root
    objectName: "MeasurementResultCopy"
    anchors.fill: parent
    property var listModel: ""                            //!< リストモデル
    property int currentIndex: -1                         //!< カーソルが当たっているインデックス
    property bool cursoredButtonArea: false               //!< ボタンエリアにカーソルが当たっているか
    property int currentPage: 1                           //!< 表示中のページ数
    property int totalPage: 1                             //!< 全てのページ数
    readonly property string screenName: "測定データコピー"  //!< 画面名
    readonly property string operationName: "コピー"       //!< 処理名

    signal request(int condition)

    function onScrollPage(page) {
        root.currentPage = page
        datamanagerOperationBase.onScrollPage(page)
    }

    MeasurementResultOperationBase {
        id: datamanagerOperationBase
        objectName: "DataManagerOperationBase"
        listModel: root.listModel
        currentIndex: root.currentIndex
        currentPage: root.currentPage
        totalPage: root.totalPage
        screenName: root.screenName
        operationName: root.operationName
        cursoredButtonArea: root.cursoredButtonArea
    }
}
