/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Item {
    id: root
    objectName: "MeasurementResultPngData"
    anchors {
        top: parent.top
        topMargin: - screenSize.headerHeight
        left: parent.left
        right: parent.right
        bottom: parent.bottom
    }

    signal request(int condition)

    /**
     * @brief 共有情報をロードする
     * @param Nothing
     */
    function load() {
        // 画像ファイルパスを設定
        if (attributes.takeOver["MeasurementResultDataPng"] !== "") {
            measurementResultImage.source = "file:" + attributes.takeOver["MeasurementResultDataPng"]
        } else {
            measurementResultImage.source = ""
        }
    }

    // 測定結果画像
    Image {
        id: measurementResultImage
        anchors.fill: parent
        source: ""
    }
}
