/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief ユーザ測定設定メニュー View
 */
Item {
    id: root
    objectName: "UserMeasurementSettingMenu"
    anchors.fill: parent

    signal request(int condition)

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    // 機能リスト
    Row {
        id: functionlist
        objectName: "functionlist"
        anchors.centerIn: root
        spacing: 5

        // ユーザ測定設定表示
        SelectButton {
            id: m0
            objectName: "m0"
            activebg: "usermeasurementsetting_r.png"
            idlebg: "usermeasurementsetting.png"
            pressbg: "usermeasurementsetting_p.png"
            message: "ﾕｰｻﾞｰ測定設定\n表示"
            width: 170
            height: 219
            fontsize: 20
        }

        // 本体⇒USB一括コピー
        SelectButton {
            id: m1
            objectName: "m1"
            activebg: "usermeasurementsetting_lr.png"
            idlebg: "usermeasurementsetting.png"
            pressbg: "usermeasurementsetting_p.png"
            icon: "usermeasurementsetting_body_to_usb.png"
            message: "ﾕｰｻﾞｰ測定設定\n本体⇒USBｺﾋﾟｰ"
            width: 199
            height: 219
            fontsize: 20
        }

        // USB⇒本体一括コピー
        SelectButton {
            id: m2
            objectName: "m2"
            activebg: "usermeasurementsetting_lr.png"
            idlebg: "usermeasurementsetting.png"
            pressbg: "usermeasurementsetting_p.png"
            icon: "usermeasurementsetting_usb_to_body.png"
            message: "ﾕｰｻﾞｰ測定設定\nUSB⇒本体ｺﾋﾟｰ"
            width: 199
            height: 219
            fontsize: 20
        }

        // ユーザ測定設定一括削除
        SelectButton {
            id: m3
            objectName: "m3"
            activebg: "usermeasurementsetting_l.png"
            idlebg: "usermeasurementsetting.png"
            pressbg: "usermeasurementsetting_p.png"
            message: "ﾕｰｻﾞｰ測定設定\n一括削除"
            width: 199
            height: 219
            fontsize: 20
        }
    }

    // 画面名
    ScreenName {
        name : "ユーザ測定設定"
    }
}
