/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

/**
 * @brief メニューリスト
 */

Item {
    id: root
    objectName: "MenuList"
    height: screenSize.headerHeight
    width: 400

    property string optical: "qrc:/resource/png/icon_hikari_rf.png"
    property string functionType: "qrc:/resource/png/icon_menu_multi.png"
    property string band: "qrc:/resource/png/icon_band_chidigi.png"
    property string scan: "qrc:/resource/png/icon_scan_n.png"
    property string powerSupply: "qrc:/resource/png/icon_power_15v.png"
    property string preamp: "qrc:/resource/png/icon_preamp.png"

    // 光・同軸
    Image {
        id:menu1
        objectName: "menu1"
        width: 62
        height: 48
        anchors { top: parent.top; left: parent.left }
        source: (root.optical != "qrc:/resource/png/") ? root.optical : ""
    }

    // 機能種別
    Image {
        id:menu2
        objectName: "menu2"
        width: 62
        height: 48
        anchors { top: parent.top; left: menu1.right }
        source: (root.functionType != "qrc:/resource/png/") ? root.functionType : ""
    }

    // BAND種別
    Image {
        id:menu3
        objectName: "menu3"
        width: 62
        height: 48
        anchors { top: parent.top; left: menu2.right }
        source: (root.band != "qrc:/resource/png/") ? root.band : ""
        onSourceChanged: {
            console.log("source: " + source)
        }
    }

    // SCAN有無
    Image {
        id:menu4
        objectName: "menu4"
        width: 62
        height: 48
        anchors { top: parent.top; left: menu3.right }
        source: (root.scan != "qrc:/resource/png/") ? root.scan : ""
    }

    // 給電
    Image {
        id:menu5
        objectName: "menu5"
        width: 62
        height: 48
        anchors { top: parent.top; left: menu4.right }
        source: (root.powerSupply != "qrc:/resource/png/") ? root.powerSupply : ""
    }

    Image {
            id:menu6
            objectName: "menu6"
            width: 62
            height: 48
            anchors { top: parent.top; left: menu5.right }
            source: (root.preamp != "qrc:/resource/png/") ? root.preamp : ""
        }

}
