/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

// シングル／マルチ測定 View
Item {
    id: root
    objectName: "Band"
    anchors.fill: parent

    width:800
    signal request(int condition)

    MouseArea {
        anchors.fill: parent
        onClicked: {
            //root.request(0)
        }
    }

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    Item {
        id: takeOverData
        objectName: "takeOverData"
        property string selectedMeasurement: ""
    }

    function getTakeOver() {
        takeOverData.selectedMeasurement = attributes.takeOver["selectedMeasurement"]
    }

    Image {
        id: groupframe1
        x: functionlist.x - 20
        y: functionlist.y -5
        source: "qrc:/resource/png/frame_chidigi.png"
    }
    Image {
        id: groupframe2
        x: functionlist.x + 137
        y: functionlist.y -5
        source: "qrc:/resource/png/frame_bscs.png"
    }
    Image {
        id: groupframe3
        x: functionlist.x - 20
        y: functionlist.y +185
        source: "qrc:/resource/png/frame_chidigi.png"
    }
    Image {
        id: groupframe4
        x: functionlist.x + 293
        y: functionlist.y -5
        source: "qrc:/resource/png/frame_bscs.png"
    }
    Image {
        id: groupframe5
        x: functionlist.x + 449
        y: functionlist.y -5
        source: "qrc:/resource/png/frame_catv.png"
    }

    // 枠ラベル
    Text {
        x: groupframe1.x
        y: groupframe1.y - 12
        width: groupframe1.width
        horizontalAlignment: Text.AlignHCenter
        color:"white"
        text: "地上デジタル"
        font.pixelSize: 18
        font.family: defaultFontName
    }

    // 枠ラベル
    Text {
        x: groupframe2.x
        y: groupframe2.y - 12
        width: groupframe2.width
        horizontalAlignment: Text.AlignHCenter
        color:"white"
        text: "BS･110°CS"
        font.pixelSize: 18
        font.family: defaultFontName
    }

    // 枠ラベル
    Text {
        x: groupframe3.x
        y: groupframe3.y - 12
        width: groupframe3.width
        horizontalAlignment: Text.AlignHCenter
        color:"white"
        text: "CATV"
        font.pixelSize: 18
        font.family: defaultFontName
    }


    //スカパー画像
    Image {
        x: 368
        y: 18

        source: "qrc:/resource/png/icon_band_skyps.png"
    }

    // 枠ラベル

    // 枠ラベル
    Text {
        x: groupframe5.x
        y: groupframe5.y - 12
        width: groupframe5.width
        horizontalAlignment: Text.AlignHCenter
        color:"white"
        text: "その他"
        font.pixelSize: 18
        font.family: defaultFontName
    }

    // 機能リスト(3 行 5 列)
    Column {
        id: functionlist
        width: 702
        height: 307
        anchors.horizontalCenterOffset: -5
        objectName: "functionlist"
        anchors.horizontalCenter:root.horizontalCenter
        anchors.top:root.top
        anchors.topMargin: 48

        spacing: 10



        // 3 行目

    }


    // 1 行目
    Row {
        x: 35
        y: 53
        width: 730
        spacing: 31

        // シングル測定
        ImageButton {
            id: m1
            objectName: "m1"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "地デジ"
            icon: "icon_band_chidigi_cur.png"
            width:125
            height:85
            active: false
        }

        ImageButton {
            id: m2
            objectName: "m2"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "BS"
            icon: "icon_band_bs_cur.png"
            width:125
            height:85
        }


        ImageButton {
            id: m3
            objectName: "m3"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "JCSAT-3A"
            icon: "icon_band_3a_cur.png"
            width:125
            height:85
        }
        ImageButton {
            id: m4
            objectName: "m4"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "SCC-B2"
            icon: "icon_band_b_cur.png"
            width:125
            height:85
        }

    }

    ImageButton {
        id: m5
        x: 639
        y: 53
        objectName: "m5"

        activebg: "bandbtn_sel_common.png"
        idlebg: "bandbtn_n.png"
        //message: "FM"
        icon: "icon_band_fm_cur.png"
        width:125
        height:85
    }


    // 2 行目
    Row {
        x: 35
        y: 148
        width: 738
        height: 86
        spacing: 31

        // padding item
        Item {
            id: m11
            width:125
            height:85
        }


        ImageButton {
            id: m7
            objectName: "m7"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "N-SAT110"
            icon: "icon_band_cs_cur.png"
            width:125
            height:85
        }


        ImageButton {
            id: m8
            objectName: "m8"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "JCSAT-4B"
            icon: "icon_band_4b_cur.png"
            width:125
            height:85
        }
        ImageButton {
            id: m9
            objectName: "m9"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "SCC-C2"
            icon: "icon_band_c_cur.png"
            width:125
            height:85
        }

        // padding item
        Item {
            id: m10
            width:125
            height:85
        }
    }

    Row {
        x: 35
        y: 244
        width: 732
        height: 86
        spacing: 31

        ImageButton {
            id: m6
            objectName: "m6"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "CATV"
            icon: "icon_band_catv_cur.png"
            width:125
            height:85
        }


        // BS+CS
        ImageButton {
            id: m12
            objectName: "m12"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "N-SAT110"
            icon: "icon_band_bscs_cur.png"
            width:125
            height:85
        }




        ImageButton {
            id: m13
            objectName: "m13"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "JCSAT アンテナ調整"
            icon: "icon_band_antenna ad_cur.png"
            width:125
            height:85
        }

        // padding item
        Item {
            id: m13dash
            width:125
            height:85
            visible: !m13.visible
        }

        ImageButton {
            id: m14
            objectName: "m14"
            activebg: "bandbtn_sel_common.png"
            idlebg: "bandbtn_n.png"
            //message: "LTE"
            icon: "icon_band_lte_cur.png"
            width:125
            height:85
        }

        // padding item
        Item {
            id: m15
            width:125
            height:85
        }
    }

    // 画面名
    ScreenName {
        objectName: "screenName"
        name : "シングル測定"
    }
}
