/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"




// 局部発振周波数選択 View
Item {
    id: root

    property int position:55
    objectName: "LocalOscillatorSetting"
    anchors.fill: parent
    
    width:800
    signal request(int condition)

    MouseArea {
        anchors.fill: parent
        onClicked: {
            //root.request(0)
        }
    }

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    Item {
        id: takeOverData
        objectName: "takeOverData"
        property string selectedBand: ""
        property string selectedPolarization: ""
    }

    function getTakeOver() {
        takeOverData.selectedBand = attributes.takeOver["selectedBand"]
        takeOverData.selectedPolarization = attributes.takeOver["selectedPolarization"]
    }

    Column {
        id: buttonlist
        objectName: "buttonlist"
        //anchors.horizontalCenter:root.horizontalCenter
        //anchors.verticalCenter:root.verticalCenter
        anchors.top:root.top
        anchors.topMargin: 146
        
        anchors.left:root.left
        anchors.leftMargin: position
        
        //spacing: 10
        
        Row {
            spacing: 10
            
            SelectButton {
                id: m1
                objectName: "m1"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                disable: false
                message: "---"
                unit: "GHz"
                width: 224
                height: 82
                active: false
            }
            SelectButton {
                id: m2
                objectName: "m2"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                disable: false
                message: "---"
                unit: "GHz"
                width: 224
                height:82
            }
            SelectButton {
                id: m3
                objectName: "m3"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                disable: false
                message: "---"
                unit: "GHz"
                width:224
                height:82
            }
        }
        Row {
            spacing:30
            
            SelectButton {
                id: m4
                objectName: "m4"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                disable: false
                message: "---"
                unit: "GHz"
                width:224
                height:82
            }
            SelectButton {
                id: m5
                objectName: "m5"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                disable: false
                message: "---"
                unit: "GHz"
                width:224
                height:82
            }
            SelectButton {
                id: m6
                objectName: "m6"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                disable: false
                message: "---"
                unit: "GHz"
                width:224
                height:82
            }
        }
    }
    
    
    // 画面名
    ScreenName {
        name : "局部発振周波数選択"
    }
}
