/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"


// 変調方式選択 View
Item {
    id: root
    objectName: "Modulation"
    anchors.fill: parent
    
    width:800
    signal request(int condition)

    property bool isThresholdSetting: false
    property bool isSkyp: false

    MouseArea {
        anchors.fill: parent
        onClicked: {
            //root.request(0)
        }
    }

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    Item {
        id: takeOverData
        objectName: "takeOverData"
        property string transitionSourceScreen : ""
    }

    function getTakeOver() {
        takeOverData.transitionSourceScreen = attributes.takeOver["transitionSourceScreen"]
    }

    Column {
        id: buttonlist
        objectName: "buttonlist"
        anchors.horizontalCenter:root.horizontalCenter
        anchors.verticalCenter:root.verticalCenter
        
        spacing: 10
        
        Row {
            spacing: 2
            
            SelectButton {
                id: m1
                objectName: "m1"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                message: "ISDBT(OFDM)"
                width:  root.isSkyp ? 351 : 231
                height: 80
                active: false
            }
            SelectButton {
                id: m2
                objectName: "m2"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                message: (root.isThresholdSetting) ? "ANNEX(64QAM)" : "CATV(QAM)"
                width: 231
                height: 80
                visible: !(root.isSkyp)
            }
            SelectButton {
                id: m3
                objectName: "m3"
                activebg: root.isSkyp ? "combtn_sel.png" : "combtn_sel.png"
                idlebg: root.isSkyp ? "combtn.png" : "combtn.png"
                message: root.isSkyp ? "OPTICAST(256QAM)" : "ANNEX(256QAM)"
                width: root.isSkyp ? 351 : 231
                height: 80
                visible: root.isThresholdSetting || root.isSkyp
            }
        }
    }

    // 画面名
    ScreenName {
        name : root.isSkyp ? "スカパー光  変調方式" : "CATV  変調方式"
    }
}
