/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

// 放送方式設定 View
Item {
    id: root
    objectName: "BroadcastSetting"
    anchors.fill: parent
    width:800
    signal request(int condition)

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    Item {
        id: takeOverData
        objectName: "takeOverData"
        property string selectedBand : ""
    }

    function getTakeOver() {
        takeOverData.selectedBand = attributes.takeOver["selectedBand"]
    }

    Column {
        id: option
        objectName: "option"
        anchors.horizontalCenter:root.horizontalCenter
        anchors.verticalCenter:root.verticalCenter

        spacing: 10

        Row {
            id: optsel
            spacing: 10

            SelectButton {
                id: m1
                objectName: "m1"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                message: "---"
                width:224
                height:82
                active: false
            }
            SelectButton {
                id: m2
                objectName: "m2"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                message: "---"
                width:224
                height:82
            }
        }
    }

    // 画面名
    ScreenName {
        name : "放送方式選択"
    }
}
