/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief CATVチャンネル周波数 View
 */
Item {
    id:root
    width: 640
    objectName: "CATVChannelFrequency"

    default property int fontsize: 24

    signal request(int condition)

    Row {
        id:yesorno
        anchors.verticalCenterOffset: -26
        anchors.horizontalCenterOffset: 0
        anchors.centerIn: root
        spacing: 10
        //anchors.horizontalCenter: guidance.horizontalCenter

        Column {
            spacing :20

            SelectButton {
                id:setting1
                objectName: "setting1"
                message:"設定１"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                pressbg: "combtn_p.png"
                width:251
            }

            Text {
                anchors.horizontalCenter: setting1.horizontalCenter
                id: c24_1
                text: "C24 231 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
            Text {
                anchors.horizontalCenter: setting1.horizontalCenter
                id: c25_1
                text: "C25 237 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
            Text {
                anchors.horizontalCenter: setting1.horizontalCenter
                id: c26_1
                text: "C26 243 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
            Text {
                anchors.horizontalCenter: setting1.horizontalCenter
                id: c27_1
                text: "C27 249 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
        }

        Column {
            spacing : 20
            SelectButton {
                id: setting2
                objectName: "setting2"
                message: "設定２"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                pressbg: "combtn_p.png"
                width:251
            }
            Text {
                anchors.horizontalCenter: setting2.horizontalCenter
                id: c24_2
                text: "C24 233 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
            Text {
                anchors.horizontalCenter: setting2.horizontalCenter
                id: c25_2
                text: "C25 239 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
            Text {
                anchors.horizontalCenter: setting2.horizontalCenter
                id: c26_2
                text: "C26 245 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
            Text {
                anchors.horizontalCenter: setting2.horizontalCenter
                id: c27_2
                text: "C27 251 MHz"
                color: "white"
                font.pixelSize: root.fontsize
                font.family: defaultFontName
            }
        }
    }

    ScreenName {
        name:"CATV チャンネル周波数"
    }

}
