/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief コンスタレーション表示設定 View
 */
Item {
    id:root
    width: 640
    objectName: "ConstellationSetting"
    signal request(int condition)

    Row {
        id:select
        anchors.verticalCenterOffset: -27
        anchors.horizontalCenterOffset: 0
        anchors.centerIn: root
        spacing: 5
        //anchors.horizontalCenter: guidance.horizontalCenter

        SelectButton {
            id:select1000
            objectName: "Constellation0"
            message:"1000"
            activebg: "combtn_sel.png"
            idlebg: "combtn.png"
            pressbg: "combtn_p.png"
            width:224
            height:82
        }

        SelectButton {
            id:select2000
            objectName: "Constellation1"
            message:"2000(初期値)"
            activebg: "combtn_sel.png"
            idlebg: "combtn.png"
            pressbg: "combtn_p.png"
            width:224
            height:82
        }

        SelectButton {
            id:selectall
            objectName: "Constellation2"
            message:"全て"
            activebg: "combtn_sel.png"
            idlebg: "combtn.png"
            pressbg: "combtn_p.png"
            width:224
            height:82
        }
    }
    ScreenName {
        name:"コンスタレーション表示"
    }
}
