/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief ケーブルオフセット View
 */
Item {
    id:root
    objectName: "LevelOffset"

    signal request(int condition)

    LevelOffsetEdit {
        id: editList
        objectName: "editList"
        background: "leveloffset_base.png"
        idlebg: "leveloffset_n.png";
        activebg: "leveloffset_active.png";
        editbg: "leveloffset_edit.png";
        x: 56
        y: 173 - screenSize.headerHeight
    }

    // 保存ボタン
    SelectButton {
        id: register
        objectName: "register"
        anchors {
            bottom: editList.bottom
            left: editList.right
        }
        width: 90
        height: 60
        message: "保存"
        idlebg: "leveloffset_update_btn_n.png"
        activebg: "leveloffset_update_btn_l_active.png"
        pressbg: "leveloffset_update_btn_l_press.png"
    }
    ScreenName {
        name: "ケーブルオフセット"
    }
}

/*##^##
Designer {
    D{i:0;autoSize:true;height:480;width:640}
}
##^##*/
