/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief 測定設定メニュー View
 */
Item {
    id: root
    objectName: "MeasurementSettingMenu"
    anchors.fill:parent

    signal request(int condition)

    Item {
        id: selectlist

        anchors.centerIn: root
        width:selectcol.width
        height:selectcol.height
        anchors.verticalCenterOffset: -27
        anchors.horizontalCenterOffset: 0

        Column {
            id: selectcol

            spacing :15

            Row {
                spacing:5

                SelectButton {
                    id: func1
                    objectName: "func1"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "同軸/光 切替"
                    width:224
                    height:82
                }
                SelectButton {
                    id: func4
                    objectName: "func4"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "ケーブル\nオフセット"
                    width:224
                    height:82
                }
                SelectButton {
                    id: func5
                    objectName: "func5"
                    //activebg: func8.disable ? "measurementsettingmenu_selectbtn_r.png" : "measurementsettingmenu_selectbtn_ur.png"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "CATV\nチャンネル周波数"
                    width:224
                    height:82
                }
            }

            Row {
                spacing:5
                SelectButton {
                    id: func6
                    objectName: "func6"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "コンスタレーション\n表示ポイント数"
                    width:224
                    height:82
                }
                SelectButton {
                    id: func7
                    objectName: "func7"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "インジケータ"
                    width:224
                    height:82
                }
                SelectButton {
                    id: func8
                    objectName: "func8"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "コンパス"
                    width:224
                    height:82
                    visible: false
                }
            }
        }
    }


    ScreenName {
        name:"測定設定"
    }

}
