/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief MER/CN切り替え View
 */
Item {
    id:root
    width: 640
    objectName: "SwitchMERCN"

    signal request(int condition)

    Row {
        id:yesorno
        anchors.centerIn: root
        spacing: 10
        //anchors.horizontalCenter: guidance.horizontalCenter

        SelectButton {
            id:mercn1
            objectName: "MERCN1"
            message:"MER"
            activebg: "selectbtn351_r.png"
            idlebg: "selectbtn351.png"
            width:351
        }

        SelectButton {
            id:mercn2
            objectName: "MERCN2"
            message:"C/N"
            activebg: "selectbtn351_l.png"
            idlebg: "selectbtn351.png"
            width:351
        }
    }

    ScreenName {
        name:"MER／CN 切替"
    }
}
