/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"


// 波長選択 View
Item {
    id:root
    objectName: "WaveLengthSelect"
    anchors.fill:parent

    width:800
    height:480
    signal request(int condition)

    MouseArea {
        anchors.fill: parent
        onClicked: {
            //root.request(0)
        }
    }

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    Item {
        id:opt

        anchors.centerIn: root
        width:optsel.width
        height:optsel.height

        Column {
            id: optcol
            spacing: 5

            // 波長選択タイトル
            Text {
               id:title
               text:"波長"
               color: "white"
               font.pixelSize: 24
               horizontalAlignment: Text.AlignHCenter
               width:optsel.width
               font.family: defaultFontName
            }

            Row {
                id: optsel
                spacing: 5

                SelectButton {
                    id: wave1
                    objectName: "wave0"
                    activebg: "selectbtn_r.png"
                    idlebg: "selectbtn.png"
                    message: "1300 nm"
                    width:224
                    height:82
                }

                SelectButton {
                    id: wave2
                    objectName: "wave1"
                    activebg: "selectbtn_lr.png"
                    message: "1310 nm"
                    width:224
                    height:82
                    idlebg: "selectbtn.png"
                }
                SelectButton {
                    id: wave3
                    objectName: "wave2"
                    activebg: "selectbtn_l.png"
                    idlebg: "selectbtn.png"
                    message: "1490 nm"
                    width:224
                    height:82
                }
            }
        }
    }


    ScreenName {
        name : "波長選択"
    }
}


