/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

import "../parts"

/**
 * @brief DC測定 View
 */
Item {
    id:root
    objectName: "DCMeasurement"
    anchors.fill: parent

    property string backgroundImage: "qrc:/resource/png/back.png"

    width:800
    height:480
    signal request(int condition)

    Item {
        id:dc

        anchors.centerIn: root
        width:dccol.width
        height:dccol.height

        Column {
            id: dccol
            spacing: 5

            // 電圧値タイトル
            Text {
               id:title
               text:"電圧値"
               color: "skyblue"
               font.pixelSize: 24
               font.family: defaultFontName
            }

            Row {
                id: dcrow
                spacing: 10

                // DC
                Text {
                    id: title2
                    font.pixelSize: 36
                    width: 60
                    text: "DC"
                    anchors.bottom: dcrow.bottom
                    color: "white"
                    font.family: defaultFontName
                }

                // 電圧値
                Text {
                    id: value
                    objectName: "value"
                    font.pixelSize: 48
                    width: 160
                    text: "---"
                    horizontalAlignment: Text.AlignRight
                    anchors.bottom: dcrow.bottom
                    color: "white"
                    font.family: defaultFontName
                }

                Text {
                    id: unit
                    font.pixelSize: 36
                    width: 25
                    text: "v"
                    anchors.bottom: dcrow.bottom
                    color: "white"
                    font.family: defaultFontName
                }
            }

            // 下線
            Rectangle {
                width:dcrow.width
                height:1
                color: "white"
            }
        }
    }

    ScreenName {
        name : "DC 測定"
    }

}
