/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import QtQuick.Controls 2.12

BusyIndicator {
    id: control
    running: false
    property int indicatorIndex: 0
    property string foregroundColor: "#80BFFF"
    z: 5

    contentItem: Item {
        implicitWidth: 102
        implicitHeight: 102

        Item {
            id: item
            x: parent.width / 2 - 51
            y: parent.height / 2 - 51
            width: 102
            height: 102

            Repeater {
                id: repeater
                model: 12

                Rectangle {
                    id: circle
                    x: item.width / 2 - width / 2
                    y: item.height / 2 - height / 2
                    implicitWidth: 10
                    implicitHeight: 10
                    radius: 5
                    transform: [
                        Translate {
                            y: -Math.min(item.width, item.height) * 0.5 + 5
                        },
                        Rotation {
                            angle: index / repeater.count * 360
                            origin.x: 5
                            origin.y: 5
                        }
                    ]
                }
            }
        }
    }
    Timer {
        id: timer
        interval: 500
        repeat: true
        running: true
        onTriggered: {
            repeater.itemAt(indicatorIndex).color = foregroundColor
            ++indicatorIndex
            if (indicatorIndex >= 12) {
                indicatorIndex = 0
                foregroundColor = (foregroundColor === "#80BFFF") ? "#FFFFFF" : "#80BFFF"
            }
        }
    }
}
