/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Item {
    id:root

    property int labelMessageFontSize: 16
    property string labelMessage: ""
    property int messageFontSize:24
    property string message: ""
    property string secondMessage: ""
    property int unitFontSize:16
    property string unitMessage:""
    property bool doubleLine: false
    property int blinkInterval: 0
    property int  constetopmrgine: 6
    onBlinkIntervalChanged: {
        if (blinkInterval == 0) {
            timer.stop()
            message.visible = true
            message2.visible = true
        } else {
            timer.start()
        }
    }

    implicitHeight:60 //65

    Text {
        id:labelmessage
        horizontalAlignment: Qt.AlignLeft
        color: "#41A0FE"
        font.family: defaultFontName
        font.pixelSize: parent.labelMessageFontSize
        text: root.labelMessage
        width: parent.width
        anchors.top:root.top
    }

    Text {
        id:message
        horizontalAlignment: Qt.AlignLeft
        color: "white"
        font.family: defaultFontName
        font.pixelSize: parent.messageFontSize
        width: parent.width
        anchors.top: labelmessage.bottom
        anchors.topMargin: constetopmrgine
        anchors.leftMargin: 10
        text: root.message
    }

    Text {
        id:message2
        horizontalAlignment: Qt.AlignLeft
        color: "white"
        font.family: defaultFontName
        font.pixelSize: parent.messageFontSize
        width: parent.width
        anchors.top: message.bottom
        anchors.topMargin: 4
        anchors.leftMargin: 10
        text: root.secondMessage
        visible: doubleLine
    }

    Text {
        id:unitMessage
        horizontalAlignment: Qt.AlignRight
        color: "white"
        font.family: defaultFontName
        font.pixelSize: parent.unitFontSize
        anchors.right:root.right
        anchors.bottom: message.bottom
        anchors.bottomMargin: 2
        text:parent.unitMessage
    }

    Rectangle {
        id:bar
        height:2
        width:parent.width
        color: "gray"
        anchors.bottom:parent.bottom
    }

    // 点滅用タイマー
    Timer {
        id: timer
        interval: root.blinkInterval
        running: false
        repeat: true
        onTriggered: {
            message.visible = !message.visible
            message2.visible = !message2.visible
        }
    }
}
