﻿//
// copyright
//
import QtQuick 2.12
import QtCharts 2.3

/**
 * @brief 遅延プロファイルグラフ QML
 */
ChartView {
    id: root
    width: 480
    height: 360
    legend.visible: false
    margins.bottom: 0
    margins.left: 0
    margins.right: 0
    margins.top: 0
    plotAreaColor: Qt.rgba(0.0, 0.0, 0.0, 0.0)
    backgroundColor: Qt.rgba(0.0, 0.0, 0.0, 0.0)

    property int minX: -64
    property int maxX: 252

    function getValue(xValue) {
        if (graphLine.data !== undefined) {
            for (var i = 0; i < graphLine.data.length; i++) {
                if (graphLine.data[i].x === xValue)
                    return graphLine.data[i].y
            }
        }
        return 0
    }

    // テキスト ： Axis-Y値
    ValueAxis {
        id: axisY
        min: -50
        max: 0
        tickCount: 6
        labelFormat: "%d"
        visible: false
    }

    // テキスト ： Axis-X値
    ValueAxis {
        id: axisX
        min: root.minX
        max: root.maxX
        labelFormat: "%d"
        visible: false
    }

    // ゲージライン
    LineSeries {
        id: lineSeries
        width: 1.0
        axisX: axisX
        axisY: axisY
        visible: false
    }

    // 線グラフ
    GraphLine {
        id: graphLine

        x: 75
        y: 10
        width: 365
        height: 208

        minX: axisX.min
        maxX: axisX.max
        minY: axisY.min
        maxY: axisY.max

        strokeStyle: "green"
        isClear: true
    }
    function receiveCanvasData(values, lineColor, isClear) {
        graphLine.data = values
        graphLine.strokeStyle = lineColor
        graphLine.isClear = isClear
        graphLine.requestDrawLine()
    }
}
