//
// copyright
//
import QtQuick 2.0

/**
 * @brief 線グラフ QML
 */
Item {
    id: root

    property int minX: 0
    property int maxX: 0

    property int minY: 0
    property int maxY: 0

    property color strokeStyle: "green"
    property color fillStyle: "green"
    property int lineWidth: 1
    property bool fill: false
    property bool stroke: true
    property real alpha: 1.0
    property bool isClear: false
    property variant data

    // グラフ
    Canvas {
        id: canvasLine
        parent: root
        width: root.width
        height: root.height
        antialiasing: true
        onPaint: {
            var ctx = getContext("2d")
            ctx.save()
            if (root.isClear === true) ctx.clearRect(0, 0, width, height)
            ctx.strokeStyle = root.strokeStyle
            ctx.lineWidth = root.lineWidth
            ctx.fillStyle = root.fillStyle
            ctx.globalAlpha = root.alpha
            ctx.beginPath()
            if (root.data !== undefined) {
                for (var i = 0; i < root.data.length; ++i) {
                    var data_x = (root.data[i].x - root.minX) * (width / (root.maxX - root.minX))
                    var data_y = height - ((root.data[i].y - root.minY) * (height / (root.maxY - root.minY)))
                    //data_y = data_y - 18  // QtChartsのグラフより少し上にずらす(Debug用)
                    if (i === 0) ctx.moveTo(data_x, data_y)
                    else         ctx.lineTo(data_x, data_y)
                }
            }
            if (fill)   ctx.fill()
            if (stroke) ctx.stroke()
            ctx.restore()
        }
    }
    function requestDrawLine() {canvasLine.requestPaint()}
}
