/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import QtQuick.Controls 2.12

Item {
    id:root

    property bool active: false
    property bool disable: false
    property bool press: false
    property string activebg: ""    // active 背景
    property string idlebg: ""      // idle 背景
    property string pressbg: ""     // press 背景

    property string icon:   ""

    onDisableChanged: {
        if (disable) {
            disable_cover.visible = true
            bg.visible = false;
        }
        else {
            disable_cover.visible = false;
            bg.visible = true;
            bg.opacity = 1.0;
        }
    }

    implicitWidth: 225
    implicitHeight: 80

    // background
    Image {
        id: bg
        // 画像指定がない場合に NULL イメージをロードする
        source: (parent.press ? "qrc:/resource/png/" + root.pressbg : (parent.active ? (root.activebg != "" ? "qrc:/resource/png/" + root.activebg : "") : (root.idlebg != "" ? "qrc:/resource/png/" + parent.idlebg : "")))

        anchors {
            centerIn: parent
        }
    }

    // iconimage
    Image {
        id: icon
        source: (parent.icon === "") ? "" : "qrc:/resource/png/" + parent.icon
        anchors {
            top: parent.top
            bottom: parent.bottom
            left: parent.left
            right: parent.right
            centerIn: parent
        }
    }

    // disable
    Rectangle {
        id: disable_cover
        anchors {
            //上下左右三角分の8ピクセル小さくする。
            fill: parent
            margins: 8
        }
        visible:false
        color:"#18191D"
        opacity: 0.5
    }
}
