/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Item {
    id:root

    property bool active: false
    property bool disable: false
    property bool press: false
    property string activebg: ""    // active 背景
    property string idlebg: ""      // idle 背景
    property string pressbg: "bandbtn_p.png"
    property string icon:   ""

    onDisableChanged: {
        if (disable) {
            disable_cover.visible = true
        }
        else {
            disable_cover.visible = false
        }
    }

    // background
    Image {
        id: bg
        source: "qrc:/resource/png/" + (root.press ? root.pressbg : (parent.active ? root.activebg : parent.idlebg))
        anchors {
            centerIn: parent
        }
    }

    // iconimage
    Image {
        id: icon
        source: (parent.icon === "") ? "" : "qrc:/resource/png/" + parent.icon
        anchors {
            centerIn: parent
        }
    }

    // disable
    Rectangle {
        id: disable_cover
        anchors.fill: parent
        anchors.margins: 0
        visible:false
        color:"black"
        opacity: 0.5
        radius: 15
    }
}
