/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import QtQuick.Controls 2.12

Item {
    id:root

    property bool active: false
    property bool disable: false
    property bool press: false

    property string activebg: ""    // active 背景
    property string idlebg: ""      // idle 背景
    property string pressbg: ""     // press 背景
    
    property string listItemNumber : ""
    property string message: ""
    property int messageAlign: Text.AlignLeft

    default property int fontsize: 12

    property bool keyPressed: false

    property int type: 0

    // check 1
    property bool check1on: false

    // check 2
    property bool check2visible: false
    property string check2bg: ""
    
    // type : 0
    // 構成 : [Label]
    
    // type : 1
    // 構成 : [Label / Image / Image]
    
    // type : 2
    // 構成  : [Label / Image / Image]
    // メモ  : USERデータロガーの開始、終了日時設定ダイアログにて使用しております。


    //onDisableChanged: {
    //    if (active == false && disable) {
    //        message.opacity = 0.5;
    //        bg.opacity = 0.5;
    //    }
    //    else {
    //        message.opacity = 1.0;
    //        bg.opacity = 1.0;
    //    }
    //}
    //
    //onKeyPressedChanged: {
    //    if (keyPressed) {
    //        background.color = "#80BFFF"
    //    } else {
    //        background.color = (root.light) ? "#616673" : "#595E6A"
    //    }
    //}

    implicitWidth: 225
    implicitHeight: 80

    // background
    Image {
        id: bg
        // 画像指定がない場合に NULL イメージをロードする
        source: (parent.press ? "qrc:/resource/png/" + root.pressbg : (parent.active ? (root.activebg != "" ? "qrc:/resource/png/" + root.activebg : "") : (root.idlebg != "" ? "qrc:/resource/png/" + parent.idlebg : "")))
        anchors {
            left: parent.left
        }
    }

    Rectangle {
        id : numberArea
        anchors {
            top: parent.top
            bottom: parent.bottom
            left: parent.left
            leftMargin: 5
        }
        color: "transparent"
        width: 26
        Text {
            text: root.listItemNumber
            anchors {
                top: parent.top
                bottom: parent.bottom
                left: parent.left
            }
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignRight
            color: "white"
            font.pixelSize: (root.type == 1) ? 11 : 12
            font.family: defaultFontName
        }
        visible: (root.type == 2) ? false : true
    }
    Label {
        id: message
        color: "white"
        anchors {
            top: parent.top
            bottom: parent.bottom
            left: (numberArea.visible) ? numberArea.right : parent.left
            leftMargin: (numberArea.visible) ? 2 : 15
        }
        text: root.message
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: (root.type == 2) ? Text.AlignHCenter : root.messageAlign
        width: (root.type == 1) ? root.width - 100 :
                                  (root.type == 0) ? root.width - numberArea.width - 8 : root.width - numberArea.width - 5
        elide: (root.type == 2) ? "ElideNone" : "ElideRight"
        font.pixelSize: (root.type == 1) ? 11 : root.fontsize
        font.family: defaultFontName
    }

    Image {
        id: check1
        anchors {
            left: message.right
            leftMargin: 5
            verticalCenter: parent.verticalCenter
        }
        width: sourceSize.width
        height: sourceSize.height
        visible: (root.type == 1) ? true : false
        source: root.check1on ? "qrc:/resource/png/check_on.png" : "qrc:/resource/png/check_off.png"
    }

    Image {
        id: check2
        anchors {
            left: check1.right
            leftMargin: 5
            verticalCenter: parent.verticalCenter
        }
        width: sourceSize.width
        height: sourceSize.height
        visible: (root.type == 1) ? root.check2visible : false
        source: root.check2bg
    }
}
