/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Item {
    id:root
    property string value: ""
    property bool active: false;
    property bool edit: false;      // 編集状態

    property string edit1idlebg: ""
    property string edit1activebg: ""
    property string edit2idlebg: ""
    property string edit2activebg: ""
    property string edit3idlebg: ""
    property string edit3activebg: ""
    property string edit4idlebg: ""
    property string edit4activebg: ""
    property string edit5idlebg: ""
    property string edit5activebg: ""
    property string edit6idlebg: ""
    property string edit6activebg: ""

    onActiveChanged: {
        if (active == false) {
            // 別の項目へカーソルが移動した時
            edit = false;
        }
        else {
            // 項目選択
        }
    }

    onEditChanged: {
        if (edit == true) {
            // 最初の項目を編集可能にする
            edit1.active = true;
            edit2.active = false;
            edit3.active = false;
            edit4.active = false;
            edit5.active = false;
            edit6.active = false;
        }
        else {
            // 項目毎の部品は全て非表示
            edit1.active = false;
            edit2.active = false;
            edit3.active = false;
            edit4.active = false;
            edit5.active = false;
            edit6.active = false;

            // 入力された値を保持
            value = edit1.message + edit2.message + edit4.message + edit5.message + edit6.message
        }
    }
    onValueChanged: {
        // 設定値を各SelectButtonに設定する
        edit1.message = "0";
        edit2.message = "0";
        edit3.message = ".";
        edit4.message = "0";
        edit5.message = "0";
        edit6.message = "0";

        edit1.message = value.substr(0, 1)
        edit2.message = value.substr(1, 1)
        edit4.message = value.substr(2, 1)
        edit5.message = value.substr(3, 1)
        edit6.message = value.substr(4, 1)
    }

    implicitWidth: 160
    implicitHeight: 50

    Row {
        anchors.fill:root
        spacing: -10

        SelectButton {
            id:edit1
            objectName: "edit1"
            width: 38
            height: root.height
            activebg: root.edit1activebg
            idlebg: root.edit1idlebg
            message: "1"
        }
        SelectButton {
            id:edit2
            objectName: "edit2"
            width: 38
            height: root.height
            activebg: root.edit2activebg
            idlebg: root.edit2idlebg
            message: "0"
        }
        SelectButton {
            id:edit3
            objectName: "edit3"
            width: 28
            height: root.height
            activebg: root.edit3activebg
            idlebg: root.edit3idlebg
            message: "."
        }
        SelectButton {
            id:edit4
            objectName: "edit4"
            width: 38
            height: root.height
            activebg: root.edit4activebg
            idlebg: root.edit4idlebg
            message: "0"
        }

        SelectButton {
            id:edit5
            objectName: "edit5"
            width: 38
            height: root.height
            activebg: root.edit5activebg
            idlebg: root.edit5idlebg
            message:"0"
        }

        SelectButton {
            id:edit6
            objectName: "edit6"
            width: 38
            height: root.height
            activebg: root.edit6activebg
            idlebg: root.edit6idlebg
            message:"0"
        }
    }
}
