/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12

Item {
    id: measurementButton
    width: 69
    height: 50

    property string contentsFileName: ""
    property string activeStatusFileName: ""
    property bool pressed: false
    property bool active: false
    property int adjustX: 0                     // 内容画像の X 座標の調整値
    property int index: -1
    property int horizontalCenterOffet: 0

    onActiveStatusFileNameChanged: {
        if (active === true) {
            background.source = measurementButton.activeStatusFileName
        } else {
            background.source = "qrc:/resource/png/single_btn_single_mode_n.png"
        }
    }

    onPressedChanged: {
        if (pressed === false) {
            if (active === true) {
                background.source = measurementButton.activeStatusFileName
            } else {
                background.source = "qrc:/resource/png/single_btn_single_mode_n.png"
            }
        } else {
            background.source = "qrc:/resource/png/single_btn_single_mode_p.png"
        }
    }

    onActiveChanged: {
        if (active === true) {
            background.source = measurementButton.activeStatusFileName
        } else {
            background.source = "qrc:/resource/png/single_btn_single_mode_n.png"
        }
    }

    // 背景
    Image {
        id: background
        source: (active === true) ? activeStatusFileName : "qrc:/resource/png/single_btn_single_mode_n.png"
        anchors.centerIn: parent
    }

    // 内容を示す画像
    Image {
        id: image
        anchors.centerIn: parent
        source: measurementButton.contentsFileName
    }
}
