/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

/**
 * @brief 画面名称を表示するための部品
 *
 * name プロパティに指定された文字列を表示する
 * 表示位置は parent の中央下部
 */
Item {
    id: root

    default property int fontsize: 36
    property string name: "no name"
    property string colortxt: "white"

    width: parent.width
    height: 30
    anchors.bottom: parent.bottom
    anchors.bottomMargin: 13
    anchors.horizontalCenter: parent.horizontalCenter

    Text {
        anchors.centerIn: parent
        font.pixelSize: parent.fontsize
        color: colortxt
        text: parent.name
        font.family: defaultFontName
    }
}
