/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief オートパワーオフ設定 View
 */
Item {
    id: root
    objectName: "AutoPowerOffSetting"
    anchors.fill:parent

    signal request(int condition)

    Item {
        id: selectlist

        anchors.centerIn: root
        width:selectcol.width
        height:selectcol.height
        anchors.verticalCenterOffset: -27
        anchors.horizontalCenterOffset: 0

        Column {
            id: selectcol
            spacing :15

            Row {
                spacing:5

                SelectButton {
                    id: timer1
                    objectName: "timer1"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "OFF"
                    width:224
                    height:82
                }
                SelectButton {
                    id: timer2
                    objectName: "timer2"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "5min"
                    width:224
                    height:82
                }
                SelectButton {
                    id: timer3
                    objectName: "timer3"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "10min(初期値)"
                    width:224
                    height:82
                }
            }

            Row {
                spacing:5
                SelectButton {
                    id: timer4
                    objectName: "timer4"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "15min"
                    width:224
                    height:82
                }
                SelectButton {
                    id: timer5
                    objectName: "timer5"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "30min"
                    width:224
                    height:82
                }
                SelectButton {
                    id: timer6
                    objectName: "timer6"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "60min"
                    width:224
                    height:82
                }


            }
        }
    }


    ScreenName {
        name:"オートパワーオフ"
    }
}
