/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import QtQuick.Controls 2.12
import "../parts"

Item {
    id:root
    width: 640
    objectName: "BatteryInfo"
    anchors.fill:parent

    property string availableTime : "--時間--分"   // 使用可能時間
    property bool availbleNormal: true            // true:正常 false:異常
    property bool acBattery: false                // true:充電中 false:それ以外

    readonly property int fontSize: 22

    signal request(int condition)

    Label {
        id: remaining
        anchors {
            top: time.top
            topMargin: 70
            left: root.left
            leftMargin: 50
        }
        text: "残量時間"
        font.pixelSize: 23
        font.family: defaultFontName
        color:  "#E4E4E4"
        width:  50
        height: 20
        visible: availbleNormal
    }

    Label {
        id: time
        anchors.centerIn: root
        anchors.verticalCenterOffset: availbleNormal == true ? -65 : -28
        anchors.horizontalCenterOffset: 3
        text: {
            if(availbleNormal == true) {
                root.availableTime
            } else if(availbleNormal == false) {
                "取得できません。再起動してください。"
            }
        }
        font.pixelSize: availbleNormal == true ? 100 : 30
        font.family: defaultFontName
        color:  "#E4E4E4"
        height: 25
    }

    Label {
        id: message3
        anchors {
            bottom: root.bottom
            bottomMargin: 90
            left: root.left
            leftMargin: 50
        }
        text: "※バッテリーの状態や使用環境によっては差異が生じる場合があります。"
        font.pixelSize: root.fontSize
        font.family: defaultFontName
        color:  "#E4E4E4"
        width:  100
        height: 20
        visible: availbleNormal
    }

    ScreenName {
        name:"バッテリー情報"
    }
}
