/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

Item {
    id: root
    objectName: "BrightnessSetting"
    anchors.fill:parent

    signal request(int condition)

    Item {
        id: selectlist

        anchors.centerIn: root
        width:selectcol.width
        height:selectcol.height

        Column {
            id: selectcol
            spacing :20

            Row {
                spacing:20

                MenuButton {
                    id: brightness1
                    objectName: "brightness1"
                    activebg: "iconbtn_sel.png"
                    idlebg: "iconbtn.png"
                    pressbg: "iconbtn_p.png"
                    icon: "bright_1.png"
                    message: "暗"
                    width:150
                    height:150
                }
                MenuButton {
                    id: brightness2
                    objectName: "brightness2"
                    activebg: "iconbtn_sel.png"
                    idlebg: "iconbtn.png"
                    pressbg: "iconbtn_p.png"
                    icon: "bright_2.png"
                    message: "中(初期値)"
                    width:150
                    height:150
                }
                MenuButton {
                    id: brightness3
                    objectName: "brightness3"
                    activebg: "iconbtn_sel.png"
                    idlebg: "iconbtn.png"
                    pressbg: "iconbtn_p.png"
                    icon: "bright_3.png"
                    message: "明"
                    width:150
                    height:150
                }
            }
            SelectButton {
                anchors.horizontalCenter: selectcol.horizontalCenter
                anchors.topMargin: 20
                id: register
                objectName: "register"
                activebg: "brightnessSetting_btn_save_active.png"
                idlebg: "brightnessSetting_btn_save_n.png"
                pressbg: "brightnessSetting_btn_save_p.png"
                message: "保存"
                width:160
                height:68
            }
        }
    }

    ScreenName {
        name:"明るさ設定"
    }
}
