/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief 日時設定 View
 */
Item {
    id:root
    objectName: "DateTimeSetting"
    anchors.fill:parent

    signal request(int condition)

    DateTimeEdit {
        id:editDate
        objectName: "editDate"
        background: "datetime_base.png"
        idlebg:   "datetime_n.png"
        activebg: "datetime_active.png"
        editbg:   "datetime_edit.png"
        x: 130
        y: 173 - screenSize.headerHeight
    }

    SelectButton {
        anchors {
            bottom: editDate.bottom
            left: editDate.right
        }
        id: register
        objectName: "register"
        message: " 更新"
        idlebg:   "datetime_update_btn_n.png"
        activebg: "datetime_update_btn_l_active"
        pressbg:  "datetime_update_btn_l_press.png"
        width:90
        height:60
        leftpos: -5
    }

    ScreenName {
        name: "日時表示設定"
    }
}
