/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief 初期化（工場出荷状態） View
 */
Item {
    id:root
    width: 640
    objectName: "Initialization"

    signal request(int condition)


    Text {
        anchors.horizontalCenter: root.horizontalCenter
        id:guidance2
        y: 98
        text: "※保存されているデータは、すべて消去されます。"
        anchors.horizontalCenterOffset: 10
        font.pixelSize: 24
        font.family: defaultFontName
        color:"white"
        horizontalAlignment: Text.AlignHCenter
    }

    Text {
        anchors.horizontalCenter: root.horizontalCenter
        id:guidance
        y: 63
        text: "工場出荷状態の設定に戻します。"
        anchors.horizontalCenterOffset: 1
        font.pixelSize: 24
        font.family: defaultFontName
        color:"white"
        horizontalAlignment: Text.AlignHCenter
    }

    Row {
        id:yesorno
        anchors.verticalCenterOffset: -23
        anchors.horizontalCenterOffset: 0
        anchors.centerIn: root
        spacing: 10
        //anchors.horizontalCenter: guidance.horizontalCenter

        SelectButton {
            id:yes
            objectName: "yes"
            message:"はい"
            activebg: "combtn_sel.png"
            idlebg: "combtn.png"
            pressbg: "combtn_p.png"
            width:224
            height:82
        }

        SelectButton {
            id:no
            objectName: "no"
            message:"いいえ"
            activebg: "combtn_sel.png"
            idlebg: "combtn.png"
            pressbg: "combtn_p.png"
            width:224
            height:82
        }
    }

    Text {
        id: shutdown_txt
        x: 155
        y: 264
        text: qsTr("初期化終了後、本体をシャットダウンします。")
        font.pixelSize: 24
        color: "white"
    }

    ScreenName {
        name:"初期化"
    }
}
