/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */


import QtQuick 2.0
import QtQuick.Controls 2.12
import "../parts"

/**
 * @brief DC測定 View
 */
Item {

    property bool manual1: false
    property bool indexp: false
    property string  manual_page: ""



    id:root
    objectName: "manual"
    anchors.fill: parent

    //property string backgroundImage: "qrc:/resource/png/back.png"

    //\width: 640
    //height:480
    signal request(int condition)


    Image {
        id: whitebuck
        source: "qrc:/resource/png/white_buck.png"
        width: 800
        height: 480
        visible: indexp
    }

    ScreenName {
        name: "操作ガイド　目次"
        visible: indexp
        colortxt: "black"


    }

    Image {
        id: manual_p1
        x: 0
        y: -51
        width: 800
        height: 480
        source: manual_page
        visible: manual1
    }


    Item {
        id:selectlist

        anchors.centerIn: root
        width:selectcol.width
        height:selectcol.height

        Column {
            id: selectcol
            spacing: 5
            y:0
            Row {
                id: funcsel1


                MenuButton {
                    id: func1
                    objectName: "manu1"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    icon: "icon_home_single_cur.png"
                    message: "シングル測定"
                    width:164
                    height:136
                    visible: indexp
                }

                MenuButton {
                    id: func2
                    objectName: "manu2"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    icon: "icon_home_multi_cur.png"
                    message: "マルチ測定"
                    width:164
                    height:136
                    visible: indexp
                }

                MenuButton {
                    id: func3
                    objectName: "manu3"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    message: "データロガー"
                    icon: "icon_home_datalogger_cur.png"
                    width:164
                    height:136
                    visible: indexp
                }

                MenuButton {
                    id: func4
                    objectName: "manu4"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    icon: "icon_home_dc_cur.png"
                    message: "その他"
                    width: 164
                    height: 136
                    visible: indexp

                }

            }

            Row {
                id: funcsel2

                MenuButton {
                    id: func5
                    objectName: "manu5"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    icon: "icon_home_user_cur.png"
                    message: "USER設定"
                    width:164
                    height:136
                    visible: indexp

                }

                MenuButton {
                    id: func6
                    objectName: "manu6"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    icon: "icon_home_sokutei_cur.png"
                    message: "測定設定"
                    width:164
                    height:136
                    visible: indexp
                }

                MenuButton {
                    id: func7
                    objectName: "manu7"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    icon: "icon_home_system_cur.png"
                    message: "システム設定"
                    width: 164
                    height: 136
                    visible: indexp

                }
                MenuButton {
                    id: func8
                    objectName: "manu8"
                    activebg: "menubtn_sel_black.png"
                    idlebg: "menubtn.png"
                    icon: "icon_home_data_cur.png"
                    message: "データ管理"
                    width: 164
                    height: 136
                    visible: indexp

                }
            }
        }
    }

}




/*##^##
Designer {
    D{i:0;autoSize:true;height:480;width:640}
}
##^##*/
