/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief システム設定メニュー View
 */
Item {
    id: root
    objectName: "SystemSettingMenu"
    anchors.fill:parent

    signal request(int condition)

    Item {
        id:selectlist

        anchors.centerIn: root
        width:selectcol.width
        height:selectcol.height
        anchors.verticalCenterOffset: -27
        anchors.horizontalCenterOffset: 0

        Column {
            id: selectcol
            spacing: 15

            Row {
                id: funcsel1
                spacing: 5

                SelectButton {
                    id: func1
                    objectName: "func1"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "オートパワー\nオフ設定"
                    width:224
                    height:82
                }

                SelectButton {
                    id: func2
                    objectName: "func2"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "日時表示設定"
                    width:224
                    height:82
                }

                SelectButton {
                    id: func3
                    objectName: "func3"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "初期化\n（工場出荷状態）"
                    width:224
                    height:82
                }

            }

            Row {
                id: funcsel2
                spacing: 5

                SelectButton {
                    id: func4
                    objectName: "func4"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "音量調整"
                    width:224
                    height:82
                }

                SelectButton {
                    id: func5
                    objectName: "func5"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "明るさ設定"
                    width:224
                    height:82
                }

                SelectButton {
                    id: func6
                    objectName: "func6"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "バージョン情報"
                    width: 224
                    height: 82
                }
            }

            Row {
                id: funcsel3
                spacing: 5

                SelectButton {
                    id: func7
                    objectName: "func7"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "USBフォーマット"
                    width:224
                    height:82
                }

                SelectButton {
                    id: func8
                    objectName: "func8"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "バッテリー情報"
                    width:224
                    height:82
                }

                SelectButton {
                    id: func9
                    objectName: "func9"
                    activebg: "combtn_sel.png"
                    idlebg: "combtn.png"
                    pressbg: "combtn_p.png"
                    message: "操作ガイド"
                    width: 224
                    height: 82
                }
            }
        }
    }

    ScreenName {
        name: "システム設定"
    }

}
