/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief 音量設定 View
 */
Item {
    id: root
    objectName: "VolumeSetting"
    anchors.fill:parent

    signal request(int condition)

    Item {
        id: selectlist

        anchors.centerIn: root
        width:selectcol.width
        height:selectcol.height

        Column {
            id: selectcol
            spacing :20

            Row {
                spacing:20

                MenuButton {
                    id: volume1
                    objectName: "volume1"
                    activebg: "iconbtn_sel.png"
                    idlebg: "iconbtn.png"
                    pressbg: "iconbtn_p.png"
                    icon: "sound_0.png"
                    message: "OFF(初期値)"
                    width:150
                    height:150
                }
                MenuButton {
                    id: volume2
                    objectName: "volume2"
                    activebg: "iconbtn_sel.png"
                    idlebg: "iconbtn.png"
                    pressbg: "iconbtn_p.png"
                    icon: "sound_1.png"
                    message: "小"
                    width:150
                    height:150
                }
                MenuButton {
                    id: volume3
                    objectName: "volume3"
                    activebg: "iconbtn_sel.png"
                    idlebg: "iconbtn.png"
                    pressbg: "iconbtn_p.png"
                    icon: "sound_2.png"
                    message: "中"
                    width:150
                    height:150
                }
                MenuButton {
                    id: volume4
                    objectName: "volume4"
                    activebg: "iconbtn_sel.png"
                    idlebg: "iconbtn.png"
                    pressbg: "iconbtn_p.png"
                    icon: "sound_3.png"
                    message: "大"
                    width:150
                    height:150
                }
            }

            SelectButton {
                anchors.horizontalCenter: selectcol.horizontalCenter
                anchors.topMargin: 0
                id: register
                objectName: "register"
                activebg: "volumeSetting_btn_save_active.png"
                idlebg: "volumeSetting_btn_save_n.png"
                pressbg: "volumeSetting_btn_save_p.png"
                message: "保存"
                width:160
                height:68
            }
        }
    }

    ScreenName {
        name:"音量設定"
    }
}
