/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

/**
 * @brief 手動／自動選択 View
 */

Item {
    id:root
    objectName: "ManualAutoSelection"
    anchors.fill:parent

    width:800
    height:480
    signal request(int condition)

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    Row {
        id: selectList
        anchors.centerIn: root
        spacing: 5

        SelectButton {
            id: manual
            objectName: "manual"
            activebg: "selectbtn_r.png"
            idlebg: "selectbtn.png"
            message: "手入力/編集"
            width:224
            height:82
        }

        SelectButton {
            id: auto
            objectName: "auto"
            activebg: "selectbtn_lr.png"
            message: "自動スキャン/編集"
            width:224
            height:82
            idlebg: "selectbtn.png"
        }
        SelectButton {
            id: filemix
            objectName: "fileMix"
            activebg: "selectbtn_l.png"
            idlebg: "selectbtn.png"
            message: "ファイル合成/複製"
            width:225
            height:82
        }
    }

    ScreenName {
        name : "USERファイル作成"
    }
}


