/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

import "../parts"

/**
 * @brief USER/Data Logger Menu
 */
Item {
    id: root
    objectName: "UserDataLoggerMenu"
    anchors.fill: parent

    signal request(int condition)

    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    // 機能リスト
    Row {
        id: functionlist
        objectName: "functionlist"
        anchors.centerIn: root
        spacing: 5

        // 設定呼び出しシングル
        MenuButton {
            id: m0
            objectName: "m0"
            activebg: "menubtn_r.png"
            idlebg: "menubtn.png"
            pressbg: "menubtn_p.png"
            message: "設定呼び出し\nシングル"
            icon: "icon_home_single_cur.png"
            width:136
            height:136
        }

        // 設定呼び出しマルチ
        MenuButton {
            id: m1
            objectName: "m1"
            activebg: "menubtn_rl.png"
            idlebg: "menubtn.png"
            pressbg: "menubtn_p.png"
            message: "設定呼び出し\nマルチ"
            icon: "icon_home_multi_cur.png"
            width:136
            height:136
        }

        // 呼び出しデータロガー
        MenuButton {
            id: m3
            objectName: "m3"
            activebg: "menubtn_rl.png"
            idlebg: "menubtn.png"
            pressbg: "menubtn_p.png"
            message: "呼び出し\nデータロガー"
            icon: "icon_user_data_cur.png"
            width:136
            height:136
        }

        // USER設定ファイル作成
        MenuButton {
            id: m2
            objectName: "m2"
            activebg: "menubtn_l.png"
            idlebg: "menubtn.png"
            pressbg: "menubtn_p.png"
            message: "USER設定\nファイル作成"
            icon: "icon_user_set_cur.png"
            width:136
            height:136
        }
    }

    // 画面名
    ScreenName {
        name : "USER設定"
    }

}
