/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.12

import "../parts"

/**
 * @brief 測定メニュー選択
 */
Item {
    id: userMeasurementSelection
    objectName: "UserMeasurementSelection"
    width: 800
    height: 480 - 52
    property bool useListMeasurement: false     // リスト測定を使うか否か
    signal request(int condition)
    onUseListMeasurementChanged: {
        if (useListMeasurement) {
       } else {
           // imageForMulti.source = "qrc:/resource/png/user_datalogger_setting_multi" + (multi.active ? "_l" : "") + ".png"
        }
    }


    function backup(key, value) {
        var temporary = attributes.takeOver
        temporary[key] = value
        attributes.takeOver = temporary
    }

    Row {
        id: buttonRow
        //spacing: 145
        anchors {
            top: parent.top
            topMargin: 128
            horizontalCenter: parent.horizontalCenter
        }

        MenuButton {
            id: single
            objectName: "single"
            activebg: "menubtn_sel_common.png"
            idlebg: "menubtn.png"
            width:164
            height:136
            //iconmargin: -5
            message: "シングル測定"
            icon: "icon_home_single_cur.png"
             //txtmargin: -10
        }

        MenuButton {
            id: multi
            objectName: "multi"
            activebg: "menubtn_sel_common.png"
            idlebg: "menubtn.png"
            width:164
            height:136
            message: "マルチ測定"
            //iconmargin: -5
            icon: "icon_home_multi_cur.png"
           // txtmargin: -10

        }

       /* // シングル測定
        Item {
            id: single
            objectName: "single"
            width: 128
            height: 120
            property bool active: false
            Image {
                source: "qrc:/resource/png/user_datalogger_setting_single" + (single.active ? "_r" : "") + ".png"
                anchors {
                    top: parent.top
                    topMargin: 0
                    leftMargin: 0
                }
            }
        }

        // マルチ測定
        Item {
            id: multi
            objectName: "multi"
            width: 128
            height: 120
            property bool active: false
            Image {
                id: imageForMulti
                source: "qrc:/resource/png/user_datalogger_setting_multi" + (multi.active ? "_l" : "") + ".png"
                anchors {
                    top: parent.top
                    left: parent.left
                    topMargin: 0
                    leftMargin: multi.active ? 0 : 8
                }
            }
        }*/
    }

    // 画面名
    ScreenName {
        name : "測定メニュー選択"
    }
}
