/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "attributes.h"
#include "abstractviewmodel.h"

Attributes::Attributes(QObject *parent)
    : QObject(parent)
    , _qmlPath()
    , _viewModel()
    , _takeOver()
{

}

Attributes::~Attributes()
{

}

void Attributes::setTakeOverData()
{
    AbstractViewModel *viewModel = _viewModel.value<AbstractViewModel *>();

    if (viewModel) {
        viewModel->setTakeOver();
    }
}

void Attributes::clearTakeOver()
{
    _takeOver.clear();
}

void Attributes::change(const QString &key, QVariant value)
{
    if (!_takeOver.contains(key)) {
        _takeOver.insert(key, value);
        return;
    }

    _takeOver[key] = value;
}

void Attributes::remove(const QString &key)
{
    if (!_takeOver.contains(key)) {
        return;
    }

    _takeOver.remove(key);
}
