/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "buttonprohibition.h"

ButtonProhibition::ButtonProhibition(QObject *parent)
    : QObject(parent)
    , _buttonProhibitions()
{
    initialize();
}

ButtonProhibition::~ButtonProhibition()
{
}

void ButtonProhibition::initialize(void)
{
    // ボタン禁則定義              Menu  Band   Home   User   Escape Scan   上     下      右     左     決定    CH-    CH+    画面    データ  給電
    _buttonProhibitions.append({ true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({false,  true, false, false, false,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false});
    _buttonProhibitions.append({false,  true, false, false, false, false, false, false, false, false, false, false, false, false, false, false});
    _buttonProhibitions.append({false, false, false, false, false, false,  true,  true, false, false, false, false, false, false, false, false});
    // 5
    _buttonProhibitions.append({false, false, false, false, false, false,  true,  true, false, false, false, false, false,  true, false, false});
    _buttonProhibitions.append({ true,  true, false, false, false,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({false, false, false, false, false,  true,  true,  true, false, false, false, false, false,  true,  true, false});
    _buttonProhibitions.append({false, false, false, false, false,  true, false, false, false, false, false,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({false,  true, false, false, false,  true, false, false, false, false, false,  true,  true,  true,  true,  true});
    // 10
    _buttonProhibitions.append({ true,  true, false, false,  true,  true, false, false, false, false, false,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({false, false, false, false, false,  true,  true,  true, false, false, false,  true,  true,  true,  true, false});
    _buttonProhibitions.append({false, false, false, false, false,  true,  true,  true, false, false, false,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({false,  true, false, false, false,  true,  true,  true, false, false, false,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({ true,  true, false, false, false,  true,  true,  true, false, false, false,  true,  true,  true,  true,  true});
    // 15
    _buttonProhibitions.append({false,  true, false, false, false,  true,  true,  true,  true,  true, false,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({ true,  true,  true,  true, false,  true,  true,  true, false, false, false,  true,  true,  true,  true,  true});
    _buttonProhibitions.append({ true,  true, false,  true, false,  true,  true,  true,  true,  true,  true, false, false,  true,  true,  true});
    _buttonProhibitions.append({ true, false, false, false, false,  true, false, false, false, false, false,  true, true,   true,  true,  true});
    _buttonProhibitions.append({false, false, false, false, false,  true, false, false, false, false, false,  true, true,   true,  true,  true});
}

ButtonProhibitionData ButtonProhibition::buttonProhibition(const ButtonProhibitionId &id) const
{
    return _buttonProhibitions[id];
}
