/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ERRORMANAGERDEF_H
#define ERRORMANAGERDEF_H

#include "levelcheckermodel.h"
#include <QString>

// 故障メッセージ内容
static const QString SYSTEM_ERROR =
        QString("システムエラー\n"
                "故障ID：%1\n"
                "詳細情報：");

#define SYSTE_ERROR_WIDH_CODE(code) SYSTEM_ERROR.arg(code, 4, 16, QChar('0'))

static const QString MSG_FILE_ERR =
        SYSTE_ERROR_WIDH_CODE(LC70_FAIL_FILE_ERR);

static const QString MSG_MODEL_GAUGE_ERR =
        SYSTE_ERROR_WIDH_CODE(LC70_FAIL_MODEL_GAUGE_ERR);

static const QString MSG_DCDC_ERR =
        SYSTE_ERROR_WIDH_CODE(LC70_FAIL_DCDC_ERR);

static const QString MSG_SUB_ERR =
        SYSTE_ERROR_WIDH_CODE(LC70_FAIL_SUB_ERR);

static const QString MSG_PARAM_ERR =
        SYSTE_ERROR_WIDH_CODE(LC70_FAIL_PARAM_ERR);

static const QString MSG_SD_FULL =
        QString("本体の保存データが一杯です。\n"
                "不要なデータを消去してください。");

static const QString MSG_RTC_ERR =
        QString("時刻が設定できませんでした。");

static const QString MSG_OVER_CURR_ERR =
        QString("　　　　過電流\n"
                "接続先を確認してください");

static const QString MSG_DCDC_TEMP_ERR =
        QString("温度異常\n"
                "本体を冷ましてください");

static const QString MSG_USBC_PD_ERR =
        QString("TYPE-C PD非対応バッテリーが接続されました");

static const QString MSG_MEAS_PARAM_ERR =
        QString("設定ファイル異常\n"
                "設定ファイルを確認してください\n"
                "詳細情報：");

static const QString MSG_UPDATE_SUCCESS =
        QString("ソフトウェアアップデートが正常終了しました");

static const QString MSG_UPDATE_ERR =
        QString("ソフトウェアアップデートに失敗しました\n"
                "詳細情報：");

#endif // ERRORMANAGERDEF_H
