/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef OTHERVIEWMODEL_H
#define OTHERVIEWMODEL_H

#include "abstractviewmodel.h"
#include "buttonoperation.h"

class OtherViewModel :public AbstractViewModel
{

     Q_OBJECT
public:
    explicit OtherViewModel(ScreenId screenId, LevelCheckerModel *&model, QObject *parent = nullptr);

     void activate() override;

protected:
    /**
     * @brief onKeyStatus
     * @param id
     */
    void onKeyStatus(ButtonId id);

    void moveCursor(ButtonId buttonId);

    private:
    ButtonOperation _buttonOperationa;        // ボタンオペレーション
    QString         _activeButton;           // 活性中ボタン名
    static const int BUTTON_COLUMN_NUMBER;   // ボタンの列数
    static const int BUTTON_ROW_NUMBER;      // ボタンの行数

private:
    void onButtonPress(ButtonId id) override;

    bool _visibleCompass;                   //!< コンパス表示有無
};

#endif // OTHERVIEWMODEL_H
