/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MANUALVIEWMODEL_H
#define MANUALVIEWMODEL_H

#include "abstractviewmodel.h"
#include "buttonoperation.h"

class Manualviewmodel : public AbstractViewModel
{

   Q_OBJECT
public:
    explicit Manualviewmodel(ScreenId screenId, LevelCheckerModel *&model, QObject *parent = nullptr);

    virtual void activate() override;


protected:
    /**
     * @brief onKeyStatus
     * @param id
     */
    void onKeyStatus(ButtonId id);

private:
    void movepage(ButtonId buttonId);
    QString         _activeButton;
    QString         _activepage;
    int             _manual_page;
    int count;
    bool page_over=false;
    static const int BUTTON_COLUMN_NUMBER;
    static const int BUTTON_ROW_NUMBER;
    ButtonOperation _buttonOperation;
    void moveCursor(ButtonId buttonId);
    void changepage(int value_page);

    static const int single_page;
//    static const int manual_page;

    /*static const int multi_page = 1;
    static const int datalogger_page = 1;
    static const int other_page = 1;
    static const int user_page = 1;
    static const int measur_setting_page = 1;
    static const int system_setting_page = 1;
    static const int data_management_page = 1;*/


};





#endif // MANUALVIEWMODEL_H
